Migrando de Angular 7 a Angular 8

2/25
Recursos
Transcripci贸n

Aportes 27

Preguntas 15

Ordenar por:

驴Quieres ver m谩s aportes, preguntas y respuestas de la comunidad? Crea una cuenta o inicia sesi贸n.

Deberian actualizar este proyecto a una version reciente

Llevo varios cursos de Platzi y creo que no les costar铆a nada poner un enlace 鈥渙ficial鈥 a los proyectos de github en el estado en el que se empieza cada curso. Me parece poco profesional por parte de la plataforma

  • sudo npm i -g @angular/cl[email protected]
  • ng update
    y ejecutar las actualizaciones que te recomiende la herramienta.

Lo intente pero no pude avanzar el curso, deber铆an de actualizarlo, ya que es un quebradero de cabeza x.x

Cual es el curso de donde parte este curso?

En mi caso el proyecto ya estaba en angular 9!, pero esta es una muy buena herramienta para poder ir migrando nuestros proyectos y no dejar que pase mucho tiempo ya que puede resultar trabajoso.

No s茅, en el curso que yo hice de Angular no sali贸 eso en ning煤n momento.

Repo Proyecto de este curso:

https://github.com/platzi/platzi-store-pro

Excelente que actualizaron el curso鈥 vamos por esto

Excelente profesor pude migrar de angular 4 a angular 8.

existe algun curso de angular actualizado?

Buenas compa帽ero, consulta, quise actualizar angular/cli
y ahora no puedo instalarlo鈥e sale lo siguiente:

alguna sugerencia??

SO: Windows 7

De d贸nde saco el proyecto?

Gracias por actualizar el curso muchachos.

Interesante

Desconocia que existia esta web para hacer la migracion, muchas gracias por el dato.

ng update @angular/cli @angular/core

Excelente para actualizar a 8, ya casi viene la 9 =/, pero como dice Nicolas, mas vale ir actualizando uno a uno por que mientras mas grande el GAP, mas complicada el update.

La cosa esa NO me cambio en automatico los viewChild ! !, 150 cincidencias 鈥 ya que. 馃槍

Luego de realizar todos los pasos de la migracion y ajustar una rutas he logrado realizar la migracion, pero al realizar la compilacion con -aot me arroja el siguiente error.

ERROR in 鈥/angular-material-fileupload/matFileUpload.module.ts(13,2): Error during template compile of 'MatFileUploadModule鈥
Function calls are not supported in decorators but 鈥樕祄akeDecorator鈥 was called in 鈥楴gModule鈥
鈥楴gModule鈥 calls 鈥樕祄akeDecorator鈥.

Buscando en internet parece algo general y no de la libreria que estoy usando. Alguna ayuda por favor.

luego de pasar de angular 7 al 8 al momento de hacer el compilado para prod
y al subirlo me sale un error que dice non-Javascript MIME type of 鈥渢ext/plain鈥

aqui dejo un link de una pregunta en stackoverflow que se acercaba a mi problema pero que aun no pude darle solucion.

https://github.com/angular/angular/issues/30835

el ng update lo supe despu茅s de mover todo.

Siempre tuve problemas con la actualizaci贸n de Angular, me sirvi贸 de mucho la clase, muchas gracias 馃槃

La motivo por el que Nicol谩s no us贸 ng update para actualizar el cdk y angular material es porque ya hab铆a utilizado dicho comando para actualizar el cli y el core del proyecto. Cuando usas este comando, se modifican archivos en el proyecto que en caso de usar git (como en este proyecto) deben ser comiteados, antes de usar otra vez ng update. Por eso, Nicol谩s us贸 npm para actualiar el cdk y angular material.

Espero que aqui si ense帽en paso a paso cada cosa que se haga ya que la excusa anterior fue que no era un curso de CSS por que en el anterior era mas html que otra cosa entonces no le llamen Angular pero le dar茅 el beneficio de la duda.

Genial Me funciono para actualizar un proyecto de angular 8.1 a Angular 11

馃憣

Migrando de Angular anterior a Angular m谩s reciente
Actualizar Cliente de Angular Global
sudo npm i -g @angular/[email protected]

Saber la versi贸n de Angular
ng --version
Indicarnos que versi贸n de Angular tenemos en nuestro proyecto y que necesitamos actualizar
ng update
Actualizamos los componentes de nuestro proyecto
ng update @angular/cli @angular/core